Characters

5,410 witches, wizards, ghosts, goblins and everyone else.

The largest collection — every named character across the novels, both film series and Hogwarts Legacy.

ListGET /api/characters
SingleGET /api/characters/{slug}
Records5,410

Fields

The percentage is how much of the collection has a non-null value for that field.

FieldTypeFilled
id / slugstring100%
namestring100%
wikistring100%
speciesstring98%
genderstring87%
bornstring57%
nationalitystring54%
imagestring53%
jobsarray39%
skin_colorstring35%
family_membersarray34%
hair_colorstring33%
blood_statusstring26%
eye_colorstring25%
housestring20%
titlesarray18%
diedstring17%
marital_statusstring10%
wandsarray9%
romancesarray7%
alias_namesarray5%
patronusstring4%
boggartstring2%
animagusstring1%
heightstring1%
weightstring<1%

Curiosities

Three fields exist purely for fun. They are present on every character, and null for all but one apiece.

FieldTypeWho has it
remembrall_statusstringNeville Longbottom
is_freebooleanDobby
order_of_merlin_actual_countintegerGilderoy Lockhart
curl https://hogwarts-api.com/api/characters/dobby
curl https://hogwarts-api.com/api/characters/neville-longbottom
curl https://hogwarts-api.com/api/characters/gilderoy-lockhart

Examples

curl
JavaScript
curl https://hogwarts-api.com/api/characters/harry-potter
curl "https://hogwarts-api.com/api/characters?search=weasley&page_size=100"
curl "https://hogwarts-api.com/api/characters?page=2&page_size=50"
{
  "data": {
    "id": "harry-potter",
    "slug": "harry-potter",
    "name": "Harry James Potter",
    "born": "31 July 1980",
    "species": "Human",
    "gender": "Male",
    "house": "Gryffindor",
    "blood_status": "Half-blood",
    "patronus": "Stag",
    "boggart": "Dementor",
    "wands": ["11\", Holly, phoenix feather core"]
  }
}